"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("util");
var ActionUtil;
(function (ActionUtil) {
    function createAction(type, payload, ext) {
        var action = util_1.isNullOrUndefined(payload) ? { type: type } : { type: type, payload: payload };
        return util_1.isNullOrUndefined(ext) ?
            action :
            Object.keys(ext).reduce(function (result, key) {
                result[key] = ext[key];
                return result;
            }, action);
    }
    ActionUtil.createAction = createAction;
})(ActionUtil = exports.ActionUtil || (exports.ActionUtil = {}));
//# sourceMappingURL=action.util.js.map