import { Reducer, XReducer } from "./reducer";
import { Selector, WithSelector } from "./selector";
import { XActionHandlers } from "./action.handlers";
export declare namespace ReducerUtil {
    const DefaultReducer: Reducer<any, any>;
    const mapReducer: (selector: Selector<any>, reducer: XReducer<any, any>) => Reducer<any, any>;
    const createReducer: <S>(initialState: S, xActionHandlers: XActionHandlers<any, any>, withSelector: WithSelector) => Reducer<S, any>;
}
