"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var action_handlers_util_1 = require("./action.handlers.util");
var ReducerUtil;
(function (ReducerUtil) {
    ReducerUtil.DefaultReducer = function (state) { return state; };
    ReducerUtil.mapReducer = function (selector, reducer) { return (function (_selector, _reducer) { return function (state, action) { return _reducer(state, action, _selector); }; })(selector, reducer); };
    ReducerUtil.createReducer = function (initialState, xActionHandlers, withSelector) {
        return function (state, action) {
            if (state === void 0) { state = initialState; }
            return (action_handlers_util_1.ActionHandlersUtil.reduceXActionHandlers(xActionHandlers, withSelector)[action.type] || ReducerUtil.DefaultReducer)(state, action);
        };
    };
})(ReducerUtil = exports.ReducerUtil || (exports.ReducerUtil = {}));
//# sourceMappingURL=reducer.util.js.map