import { Action, ActionWithPayload, ActionExtension } from "./action";
export declare namespace ActionUtil {
    interface ActionCreators {
        [actionCreator: string]: any;
    }
    type ActionsUnion<A extends ActionCreators> = ReturnType<A[keyof A]>;
    function createAction(type: string): Action;
    function createAction<P>(type: string, payload: P, ext?: ActionExtension): ActionWithPayload<P>;
}
